Bug 575377 - Review Request: perl-CGI-Application-Plugin-DBIProfile - DBI profiling plugin
Summary: Review Request: perl-CGI-Application-Plugin-DBIProfile - DBI profiling plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-20 12:23 UTC by Emmanuel Seyman
Modified: 2010-04-16 23:51 UTC (History)
2 users (show)

Fixed In Version: perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-16 23:35:35 UTC
cweyl: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2010-03-20 12:23:30 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-DBIProfile/perl-CGI-Application-Plugin-DBIProfile.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-DBIProfile/perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc12.src.rpm
Description:
CGI::Application::Plugin::DBIProfile provides popup (using CAP::DevPopup if
available) holding DBI Profile information (see DBI::Profile,
DBI::ProfileDumper). It will output both graphed output and a
DBI::ProfileDumper report.

Comment 1 Chris Weyl 2010-03-20 17:17:14 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=2065058

Comment 2 Chris Weyl 2010-03-20 17:22:52 UTC
For some reason, I'm finding that rpmlint wants to replace "ProfileDumper"
with "Profiteering" hilariaous. :)

An explicit 'Requires' on CGI::Application might be in order; I'm having a
hard time coming up with a use-case that doesn't involve it being installed.

Looks good!

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2065058

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
3bf70fed1231f898cc29986af80a964f43e3b965 CGI-Application-Plugin-DBIProfile-0.07.tar.gz
3bf70fed1231f898cc29986af80a964f43e3b965 CGI-Application-Plugin-DBIProfile-0.07.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc13.noarch.rpm <=====
====> rpmlint
perl-CGI-Application-Plugin-DBIProfile.noarch: W: spelling-error %description -l en_US popup -> pop up, pop-up, popular
perl-CGI-Application-Plugin-DBIProfile.noarch: W: spelling-error %description -l en_US DevPopup -> Depopulate, Develop, Depopulation
perl-CGI-Application-Plugin-DBIProfile.noarch: W: spelling-error %description -l en_US ProfileDumper -> Profile Dumper, Profile-dumper, Profiteering
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
====> provides for perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc13.noarch.rpm
perl(CGI::Application::Plugin::DBIProfile) = 0.07
perl-CGI-Application-Plugin-DBIProfile = 0.07-1.fc13
perl(CGI::Application::Plugin::DBIProfile::Data) = 1.0
perl(CGI::Application::Plugin::DBIProfile::Driver) = 1.1
perl(CGI::Application::Plugin::DBIProfile::Graph::GDGraphInline)  
perl(CGI::Application::Plugin::DBIProfile::Graph::HTML)  
perl(CGI::Application::Plugin::DBIProfile::Graph::HTMLBarGraph)  
perl(CGI::Application::Plugin::DBIProfile::Graph::HTML::Horizontal)  
perl(CGI::Application::Plugin::DBIProfile::Graph::SVGTT)  
====> requires for perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc13.noarch.rpm
perl(base)  
perl(Carp)  
perl(CGI)  
perl(CGI::Application::Plugin::DBIProfile::Data)  
perl(CGI::Application::Plugin::DBIProfile::Driver)  
perl(Data::JavaScript)  
perl(DBI)  
perl(DBI::ProfileDumper)  
perl(GD::Graph::bars)  
perl(HTML::BarGraph)  
perl(HTML::Template)  
perl(IO::Scalar)  
perl(List::Util)  
perl(MIME::Base64)  
perl(:MODULE_COMPAT_5.10.1)  
perl(strict)  
perl(SVG::TT::Graph::Bar)  
perl(Symbol)  
perl(vars)  
perl(warnings)  

=====> perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc13.src.rpm <=====
====> rpmlint
perl-CGI-Application-Plugin-DBIProfile.src: W: spelling-error %description -l en_US popup -> pop up, pop-up, popular
perl-CGI-Application-Plugin-DBIProfile.src: W: spelling-error %description -l en_US DevPopup -> Depopulate, Develop, Depopulation
perl-CGI-Application-Plugin-DBIProfile.src: W: spelling-error %description -l en_US ProfileDumper -> Profile Dumper, Profile-dumper, Profiteering
perl-CGI-Application-Plugin-DBIProfile.src: W: invalid-url URL: http://search.cpan.org/dist/CGI-Application-Plugin-DBIProfile/ <urlopen error timed out>
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
====> provides for perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc13.src.rpm
====> requires for perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc13.src.rpm
perl(CGI::Application)  
perl(Data::JavaScript)  
perl(DBI)  
perl(HTML::Template)  
perl(IO::Scalar)  
perl(Module::Build)  
perl(Test::More)  
perl(Test::Pod)  

APPROVED

Comment 3 Emmanuel Seyman 2010-03-20 18:06:07 UTC
(In reply to comment #2)
> 
> An explicit 'Requires' on CGI::Application might be in order; I'm having a
> hard time coming up with a use-case that doesn't involve it being installed.

Done.

> APPROVED    

Thanks! Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Plugin-DBIProfile
Short Description: DBI profiling plugin
Owners: eseyman
Branches: F-13 F-12 F-11
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-03-24 03:32:47 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-03-24 10:21:38 UTC
perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc12

Comment 6 Fedora Update System 2010-03-24 10:21:43 UTC
perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc13

Comment 7 Fedora Update System 2010-03-24 10:21:47 UTC
perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc11

Comment 8 Fedora Update System 2010-03-24 23:34:29 UTC
perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-DBIProfile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc12

Comment 9 Fedora Update System 2010-03-24 23:37:01 UTC
perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-DBIProfile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc11

Comment 10 Fedora Update System 2010-03-24 23:39:21 UTC
perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-DBIProfile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc13

Comment 11 Emmanuel Seyman 2010-03-25 23:50:19 UTC
Somehow, the fact that this packages requires perl(HTML::BarGraph) and perl(SVG::TT::Graph::Bar) escaped our notice. The review for these two modules are bug #577057 and bug #577058, respectively.

Comment 12 Fedora Update System 2010-04-16 23:35:30 UTC
perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-04-16 23:48:41 UTC
perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-04-16 23:51:33 UTC
perl-CGI-Application-Plugin-DBIProfile-0.07-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.